import train.Train;
import train.car.*;
import train.locomotive.ElectricLocomotive;

/**
 * Eine Testklasse fr das Package train.
 * 
 * @author Tobias Hennchen 
 * @version 2007.06.14
 */

public class TrainTest {

    public static void main(String[] args) {
        Train train1 = new Train(new ElectricLocomotive(3672, 40));
        train1.add(new Car(34, 50, 1));
        train1.add(new DiningCar(20, 40, 3));
        train1.add(new Car(54, 60, 4));
        train1.add(new SleepingCar(25, 50, 7));

        System.out.println(train1.toString());
    }

}
